<?php
/*
AssetTrackDB Copyright (C) 2013  Tyler Krehbiel (tylerk@gmail.com)

This file is part of AssetTrackDB.

AssetTrackDB is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

AssetTrackDB is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>.
*/

//PAGE INFO:
//This page processes the form data from add_assetnew.php, adds it to the database, and then show the "X Asset Added!" message


require_once 'config.php';

$owner="";
$newuser="";
$image="";

// CHECK FORM FOR Required fields

$filled = true;
$required = array("namet", "serial", "owner"); //all the required fields

//Cycle through each field and make sure its filled

foreach ($required as &$value) {
	 if($value=="owner"){
	   if(!empty($_POST["owner"])) {
		  $owner = $_POST["owner"];
	   }
	   if(!empty($_POST["newuser"])) {
		  $newuser = trim($_POST["newuser"]);
   	   }

		if($owner==""){
			$owner = $newuser;
		}
		if($owner==""){
			$filled = false;
		}

	}
    elseif($_POST[$value]==""){
    	$filled = false;
    }
}

if(!empty($_POST["pdate"])){
	$pdate = trim($_POST["pdate"]);
	//remove dashes
	  $dlen = preg_replace("[-]", "", $pdate);
		//get date length without the dashes
		$len = strlen($dlen);

			//check date length (without dashes)
		if ($len != '8'){
			$filled = false;
		}
		elseif (is_numeric ($dlen)){
		//If numeric do nothing
		}
		else{
		$filled = false;
		}
}



//If there are any fields not filled out, send the user back to the form and send any filled in fields
    if (!$filled){
	$f_name = trim($_POST['namet']);
	$serial = trim($_POST['serial']);
        $loc = "Location: add_assetnew.php?error=yes&name=".$_POST['namet']."&serial=".$_POST['serial']."&bar_code=".$_POST['bar_code']."&model=".$_POST['model']."&form=".$_POST['form']."&brand=".$_POST['brand']."&use=".$_POST['use1']."&os=".$_POST['os']."&pdate=".$_POST['pdate']."&notes=".$_POST['notes']."&produkey=".$_POST['produkey']."&vendor=".$_POST['vendor']."&funding=".$_POST['funding']."&cost=".$_POST['cost']."&custom1=".$_POST['custom1']."&custom2=".$_POST['custom2']."&newuser=".$_POST['newuser']."&owner=".$_POST['owner']."&phyloc=".$_POST['phyloc'];
        header($loc);
    }

	//Else processes if everything is correct (all required fields filled)
    else{

echo "<html>";
echo "<head><title>AssetTrackDB</title><script src='sorttable.js'></script><link rel='stylesheet' type='text/css' href='mystyle.css'/>";
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">';
echo '<link rel="shortcut icon" href="favicon.ico" type="image/x-icon">';
echo "</head>";
echo "<body class=\"page_bg\">";

//--START Menu Code and PULL PHP
include 'includes/menu.php';
include 'includes/pull.php';
//--END Menu Code--

$f_name = trim($_POST["namet"]);


//IMAGE PROCESSING
$allowedExts = array("jpg", "jpeg", "png", "JPG");
$extension = end(explode(".", $_FILES["file"]["name"]));


if (in_array($extension, $allowedExts))
  {
	 //Generate Random
	$ran = rand () ;
	$ran2 = $ran.".";
	$nname = $ran2.$extension;
        move_uploaded_file($_FILES["file"]["tmp_name"] ,$uploc . $nname);
        $nnamefull = $uploc . "$nname";
        $image = $nname;
        //RESIZE
        $full = $uploc.$nname;
        $output = shell_exec("convert -verbose $full -resize 1024x768 $full");
  }

else
  {
  //echo "<br><div id=err>Invalid file</div>";

  }

//END IMAGE PROCESSING


$today = date("Y-m-d H:i:s");
$brand = trim($_POST["brand"]);
$model = trim($_POST["model"]);
$form = trim($_POST["form"]);
$use1 = trim($_POST["use1"]);
$os = trim($_POST["os"]);
$vendor = trim($_POST["vendor"]);
$funding = trim($_POST["funding"]);
$bar_code = trim($_POST["bar_code"]);
$f_name = trim($_POST["namet"]);
$serial = trim($_POST["serial"]);
$notes = trim($_POST["notes"]);
$pdate = trim($_POST["pdate"]);
$produkey = trim($_POST["produkey"]);
$custom1 = trim($_POST["custom1"]);
$custom2 = trim($_POST["custom2"]);
$cost = trim($_POST["cost"]);
$phyloc = $_POST["phyloc"];

//GET USER INFORMATION
$myusername = $_SESSION["myusername"];
echo "<input type='hidden' name='createdby' value=$myusername>";

// Insert a row of information into the table
echo "<div id='dcs'>";

$mysql_error = '0';
mysql_query("INSERT INTO users (uname) VALUES('$owner') ") or $mysql_error = 1;

if ($mysql_error == '0'){
echo "<div id=dcs>New Person Added</div>";
}

mysql_query("INSERT INTO asset (bar_code, name,creation_date,serial,model,brand,owner,form,use1,notes,os,pdate,produkey,createdby,funding,vendor,cost,custom1,custom2,phyloc) VALUES('$bar_code', '$f_name', '$today','$serial','$model','$brand','$owner','$form','$use1','$notes','$os','$pdate','$produkey','$myusername','$funding','$vendor','$cost','$custom1','$custom2','$phyloc') ")
or die(mysql_error());



echo '</div>';


//Check if image is blank, if it is do not insert into the Table for images
if ($image == ""){
	$image = "";
	}
	else {
	mysql_query("INSERT INTO images (serial, imagename) VALUES('$serial', '$image') ") or die(mysql_error());
	}

echo "<br><div id='dc'>Asset&nbsp"; echo $f_name; echo "&nbspAdded!</div>";


echo '<br><center><table><tr><td width=125>';
echo '<center><a href=add_assetnew.php style="text-decoration:none"><div class=fancybuttonL>Add Another</div></a></center>';
echo "</td><td></td><td width=125>";
echo "<center><a href='track.php?search="; echo $f_name;  ; echo "' style='text-decoration:none;'><div class=fancybuttonL>Track</div></a></center>";
echo "</td><td></td><td width=125>";
echo "<center><a href='display.php?name="; echo $f_name;  ; echo "' style='text-decoration:none;'><div class=fancybuttonL>View Asset</div></a></center>";
echo "</td><td></td><td width=125>";
echo "<center><a href='addimage.php?search="; echo $f_name;  ; echo "' style='text-decoration:none;'><div class=fancybuttonL>Add Image</div></a></center>";
echo "</td></tr></table>";

echo "<br><br><br><br><br><br>";
include 'footer.php';
echo '</center></center>';
include 'includes/userinfo.php';

$submit = $_POST['submit'];
if ($submit == 'Submit and Copy'){

   $loc = "location: add_assetnew.php?copy=yesa&name=".$f_name."&bar_code=".$bar_code."&model=".$model."&form=".$form."&brand=".$brand."&use=".$use1."&os=".$os."&pdate=".$pdate."&notes=".$notes."&vendor=".$vendor."&funding=".$funding."&cost=".$cost."&custom1=".$custom1."&custom2=".$custom2."&owner=".$owner."&phyloc=".$phyloc;
   header($loc);

}


echo "</body>";
echo "</html>";

}

?>
