<?php require_once 'config.php';
/*
AssetTrackDB Copyright (C) 2013  Tyler Krehbiel (tylerk@gmail.com)

This file is part of AssetTrackDB.

AssetTrackDB is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

AssetTrackDB is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>.
*/

echo "<html>";
echo "<head><title>AssetTrackDB - AssetTrackDB Help</title><script src='sorttable.js'></script><link rel='stylesheet' type='text/css' href='mystyle.css'/>";
echo '<script type="text/javascript" src="jquery.1.4.2.js"></script>';
echo '<script type="text/javascript" src="jsDatePick.jquery.min.1.3.js"></script>';
echo '<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />';
echo '<script type="text/javascript" src="cal.js"></script>';
echo "<link rel='stylesheet' type='text/css' href='mystyle.css'/>";
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">';
echo '<link rel="shortcut icon" href="favicon.ico" type="image/x-icon">';
echo "</head>";
echo "<body class=\"page_bg\">";

//--START Menu Code and PULL PHP
include 'includes/menu.php';
include 'includes/pull.php';
//--END Menu Code--

echo '<br>';
echo '<center>';

echo '<div id=dc>Help!</div><br>';

echo '<table width=700><tr><td>';
echo '<div id=dcs>Concepts</div></td></tr><td>';
echo '<div id=pbfs>In AssetTrackDB you will enter Assets. Assets can be anything from computers to calculators. These assets are  owned by a person, and then checked out to a person.<br><br> People are added under Setup > Manage People. It is important to remember that in the scope of AssetTrackDB a person can be anything from a specific person (Bob Smith) to a department (Tech Department). Thus, the person `Tech Dept` can own the asset and then the person `Bob Smith` can have that asset checked out to him.<br><br>In essence, thats what AssetTrackDB is, a place to inventory assets, and then check assets out to people.<br><br>Users. In AssetTrackDB users are managed under Setup > Site Access. AssetTrackDB has three types of users.</div>';

echo '<center><br><table width=350 border=0><tr><td><div id=pbfs><b>Type</b></div></td><td><div id=pbfs><b>Abilities</div></td></tr>';
echo '<tr><td><div id=pbfs>Read-Only</div></td><td>'; 

echo '<ul>';
echo '<li><div id=pbfs>View Assets</li>';
echo '<li><div id=pbfs>View Tracking</li>';
echo '<li><div id=pbfs>Change Own Preferences</li>';
echo '<li><div id=pbfs>Change Own Password</li>';
echo '</ul>';

echo '</td></tr>';
echo '<tr><td><div id=pbfs>Normal</div></td><td>'; 

echo '<ul>';
echo '<li><div id=pbfs>Everything Read-Only can do</li>';
echo '<li><div id=pbfs>Check In/Out Assets</li>';
echo '<li><div id=pbfs>Add / Import Assets</li>';
echo '<li><div id=pbfs>Add Images</li>';
echo '<li><div id=pbfs>Move Assets to Retired / Disposed</li>';
echo '<li><div id=pbfs>Re-Enable Assets from Retired</li>';
echo '<li><div id=pbfs>Manage: Buildings, Rooms, People, Searches</li>';
echo '</ul>';

echo '</td></tr>';
echo '<tr><td><div id=pbfs>Admin</div></td><td>'; 
echo '<ul>';
echo '<li><div id=pbfs>Everything Normal can do</li>';
echo '<li><div id=pbfs>Delete Assets</li>';
echo '<li><div id=pbfs>Re-Enable Assets from Disposed</li>';
echo '<li><div id=pbfs>Create new users</li>';
echo '<li><div id=pbfs>Modify all users</li>';
echo '<li><div id=pbfs>Run Database Backup / Update</li>';
echo '</ul>';

echo '</td></table></center>';

echo '<div id=pbfs><b>Asset States</b><br>In AssetTrackDB assets are in one of three states, Asset, Retired, Disposed.</div>';
echo '<ul>';
echo '<li><div id=pbfs><b>Asset:</b> This is the normal state for assets being used.</li>';
echo '<li><div id=pbfs><b>Retired: </b>Retired assets are assets that are not being used, they may be in storage for example, or waiting to be disposed.</li>';
echo '<li><div id=pbfs><b>Disposed: </b>Assets are moved to disposed when they have been removed from the organization, for example they are sold or recycled.</li>';
echo '</ul>';


echo '</td></tr></table>';

echo '<br><table cellpadding=2 border=0 width=700><tr><td colspan=2><tbody>';
echo '<div id=dcs>Getting Started</div>';
echo '</td></tr>';
echo '<tr><td colspan=2><div id=pbfs>After installation there are a few things to get setup. Follow the sections below to get started.</div></td></tr>';
//echo '<tr><td width=100><div id=dcss><a href=http://siteaccess.php><u>Site Access</u></a></div></td><td><div id=pbfs>';
echo "<tr><td width=100><div id='dcss'><a href='siteaccess.php'><u>Site Access</u></a></div></td><td><div id=pbfs>";

echo 'The first thing you should do is change the admin password this can be done from Setup > Site Access. Site Access is also where you can create new site users, etc.</</td></tr>';
echo '<tr><td width=100><div id=dcss><a href=editbuilding.php><u>Buildings</u></a></div></td><td><div id=pbfs>';
echo 'Next, under Setup > Manage Buildings, you should add the buildings where assets will be checked out.</td></tr>';
echo '<tr><td width=100><div id=dcss><a href=addroom.php><u>Manage Rooms</u></a></div></td><td><div id=pbfs>';
echo 'Once building are setup, head over to Setup > Manage Rooms and add add rooms to the buildings.</td></tr>';
echo '<tr><td width=100><div id=dcss><a href=adduser.php><u>Manage People</u></a></div></td><td><div id=pbfs>';
echo 'Next up, goto Setup > Manage People. From here you should add people / departments.</td></tr>';
echo '</tbody></table>';

echo '<br><table cellpadding=2 border=0 width=700><tr><td colspan=2>';
echo '<div id=dcs>Adding Functionality</div>';
echo '</td></tr>';
echo '<tr><td colspan=2><div id=pbfs>AssetTrackDB can use a few other open source projects to add functionality. Head over to Setup > Diagnostics to check if they are installed correctly.</div></td></tr>';
echo '<tr><td width=100><div id=dcss><a href=http://kryogenix.org/code/browser/sorttable/><u>Sorttable</u></a></div></td><td><div id=pbfs>';
echo 'Sorttable adds the ability to sort most tables in AssetTrackDB. To add, goto the sorttable page and download sortable.js to the directory where AssetTrackDB is installed, commonly this will be /var/www/asset or /var/www/html/asset. Once installed you can sort most tables in AssetTrackDB by clicking on the column heading.</td></tr>';
echo '<tr><td width=100><div id=dcss><a href=http://javascriptcalendar.org/><u>jsDatePick</u></a></div></td><td><div id=pbfs>';
echo 'jsDatePick adds a popup calendar to most date fields in AssetTrackDB. To install goto the jsDatePick website and download jsdatepick-calendar.zip. Move the jsdatepick-calendar folder to the location where AssetTrackDB is installed, commonly this will be /var/www/asset or /var/www/html/asset. Once jsDatePick is installed the popup calendar will show when you click in most date fields. Note: You can remove the example html files from the jsdatepick-calendar folder, they are not needed.</td></tr>';
echo '<tr><td width=100><div id=dcss><a href=http://imagemagick.org><u>ImageMagick</u></a></div></td><td><div id=pbfs>';
echo 'AssetTrack uses ImageMagick to resize uploaded asses pictures to fit in 1024x768. Install instructions depends on what distro is running your AssetTrackDB server. For example under Ubuntu / Debian ImageMagick can be installed with <i>apt-get install imagemagick</i>. NOTE: AssetTrackDB does NOT make use of ImageMagick + php. To resize the images AssetTrackDB executes the command as a shell script.</td></tr>';
echo '</table>';

echo '</center>';


echo "<br><br><br>";
include 'footer.php';
echo '</center></center>';
include 'includes/userinfo.php';
echo "</body>";
echo "</html>";
?>

